Subject: Re: bug#37883: 27.0.50; read-file-name: Scrambled INITIAL

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Oct 2019 16:53:15 +0200

Michael Albinus <[email-masked]> writes:

> The docstring of `read-file-name' says
>
> If DEFAULT-FILENAME is omitted or nil, then if INITIAL is non-nil, the
> default is DIR combined with INITIAL

But I'm talking about the initial minibuffer contents, not the default.
Is it due to historic reasons that the initial contents resemble this
default?

What you cite also doesn't explain why this combination happens in the
way it does.  The doubled ~/ seems not useful, and the /: is...some
Tramp thing?

Michael.